Loading...
Searching...
No Matches
Opm::SomertonThermalConductionLawParams< numPhases, ScalarT > Class Template Reference

The default implementation of a parameter object for the Somerton thermal conduction law. More...

`#include <SomertonThermalConductionLawParams.hpp>`

## Public Types

typedef ScalarT | Scalar

## Public Member Functions

Scalar | fullySaturatedLambda (unsigned phaseIdx) const
| Return the "fully saturated" thermal conductivity of the porous medium [W/m^2 / (K/m)].
void | setFullySaturatedLambda (unsigned phaseIdx, Scalar value)
| Set the "fully saturated" thermal conductivity of the porous medium [W/m^2 / (K/m)].
Scalar | vacuumLambda () const
| Return the thermal conductivity of the porous medium at vacuum [W/m^2 / (K/m)].
void | setVacuumLambda (Scalar value)
| Set the "fully saturated" thermal conductivity of the porous medium [W/m^2 / (K/m)].

## Detailed Description

template<unsigned numPhases, class ScalarT>
class Opm::SomertonThermalConductionLawParams< numPhases, ScalarT >

The default implementation of a parameter object for the Somerton thermal conduction law.

## Member Function Documentation

## fullySaturatedLambda()

template<unsigned numPhases, class ScalarT>

Scalar Opm::SomertonThermalConductionLawParams< numPhases, ScalarT >::fullySaturatedLambda | ( | unsigned | phaseIdx | ) | const

inline

Return the "fully saturated" thermal conductivity of the porous medium [W/m^2 / (K/m)].

In this context "fully saturated" means that the whole pore space of the porous medium is filled by a given fluid phase.

## setFullySaturatedLambda()

template<unsigned numPhases, class ScalarT>

void Opm::SomertonThermalConductionLawParams< numPhases, ScalarT >::setFullySaturatedLambda | ( | unsigned | phaseIdx,
|  | Scalar | value )

inline

Set the "fully saturated" thermal conductivity of the porous medium [W/m^2 / (K/m)].

In this context "fully saturated" means that the whole pore space of the porous medium is filled by a given fluid phase.

## setVacuumLambda()

template<unsigned numPhases, class ScalarT>

void Opm::SomertonThermalConductionLawParams< numPhases, ScalarT >::setVacuumLambda | ( | Scalar | value | ) |

inline

Set the "fully saturated" thermal conductivity of the porous medium [W/m^2 / (K/m)].

In this context "fully saturated" means that the whole pore space of the porous medium is filled by a given fluid phase.

The documentation for this class was generated from the following file:

- opm/material/thermal/SomertonThermalConductionLawParams.hpp